package com.jz.common.interceptor;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

import com.jz.dmp.modules.model.DmpMember;
import com.jz.dmp.modules.service.sys.DmpMemberService;

@Service
public class CustomUserService implements UserDetailsService {
	
	//@Autowired
	//DmpMemberprojectrole projectMemberRoleDao;
	@Autowired
	DmpMemberService dmpMemberService;

	@Override
	public UserDetails loadUserByUsername(String userName) {
		DmpMember user = null;
		try {
			user = dmpMemberService.findByUserName(userName);
		} catch (Exception e) {
			e.printStackTrace();
		}
		if (user != null) {
			
			List<GrantedAuthority> grantedAuthorities = new ArrayList<>();
			//List<DmpPermission> permissions = permissionDao.getDmpDefaultPermission();
			/*
			 * DmpProjectMemberRole pmr = new DmpProjectMemberRole();
			 * pmr.setMemberId(userName); List<DmpProjectMemberRole> mrs =
			 * projectMemberRoleDao.getMemberProjectRole(pmr); for (DmpProjectMemberRole mr
			 * : mrs) { if (mr != null) { GrantedAuthority grantedAuthority = new
			 * CustomGrantedAuthority( mr.getProjectId().intValue(), mr.getRoleId());
			 * grantedAuthorities.add(grantedAuthority); } }
			 * user.setGrantedAuthorities(grantedAuthorities);
			 */
			
			return user;
		} else {
			throw new UsernameNotFoundException("用户: " + userName + " 不存在!");
		}
	}
}